For the complete documentation index, see llms.txt. This page is also available as Markdown.

Freefields

Get freefields

get
/freefields/

Get a list of freefields created in the account. This endpoint gets the settings for each freefield, not the values from the fields on an entity. Each freefield record can contain the following data:

Parameter
Description
Possible values

fld_entity

The entity the freefield is added to. For example to add a freefield on a workorder: WORKORDER

WORKORDER, PROJECT, INVOICE, QUOTE, OBJECT, CLIENT, CONTACTPERSON, MATERIAL, HOUR

fld_name

The displayed name of the freefield

fld_type

Data type of the freefield

TEXT, NUMBER, DROPDOWN, CHECKBOX, DATE, DATETIME

fld_values

Freefield assigned value

fld_reference_name

Reference name used for referencing the freefield in form or email layouts

fld_order

Number and positioning of the freefield. For each entity 50 freefields can exist, numbered 1-50

Numbered: 1-50

fld_required

Marks whether this field is required on the entity it is added to.

BIT - 1=required, 0=not required

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
operator[]stringOptional
key[]stringOptional
value[]stringOptional
Responses
200

Get freefields

application/json
get/freefields/
GET /freefields/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Get freefields

{
  "code": 200,
  "messages": [],
  "response": [
    {
      "fld_entity": "CLIENT",
      "fld_name": "Relatie vrijveld 1",
      "fld_type": "TEXT",
      "fld_values": "",
      "fld_reference_name": "relation_freefield_1",
      "fld_order": "1",
      "fld_required": "0"
    },
    {
      "fld_entity": "CLIENT",
      "fld_name": "Relatie vrijveld 2",
      "fld_type": "DROPDOWN_MULTIPLE",
      "fld_values": "Optie 1\r\nOptie 2\r\nOptie 3",
      "fld_reference_name": "relation_freefield_2",
      "fld_order": "2",
      "fld_required": "0"
    }
  ]
}

Add freefields

post
/freefields/

Use this endpoint to register new freefields in the Outsmart account. Add freefields to a given entity. Note that setting the fld_order with a number that already has freefield set to it, overwrites the existing freefield setting. Use the GET request to know which freefields have been set first, to avoid overwriting an existing field.

For adding a dropdown freefield, fill the fld_values with semicolon seperated values: value1;value2;value3 etc. The values set will be the displayed options in the dropdown field.

Parameter
Description
Possible values

fld_entity

The entity the freefield is added to. For example to add a freefield on a workorder: WORKORDER

WORKORDER, PROJECT, INVOICE, QUOTE, OBJECT, CLIENT, CONTACTPERSON, MATERIAL, HOUR

fld_name

The displayed name of the freefield

fld_type

Data type of the freefield

TEXT, NUMBER, DROPDOWN, CHECKBOX, DATE, DATETIME

fld_values

Freefield assigned value

fld_reference_name

Reference name used for referencing the freefield in form or email layouts

fld_order

Number and positioning of the freefield. For each entity 50 freefields can exist, numbered 1-50

Numbered: 1-50

fld_required

Marks whether this field is required on the entity it is added to.

BIT - 1=required, 0=not required

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

post/freefields/
POST /freefields/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Last updated

Was this helpful?